Saltar al contenido principal
GET
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
groups
Listar grupos de autenticación de cuenta
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/groups \
  --header 'Authorization: Bearer <token>'
[
  {
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "<string>",
    "keycloak_name": "<string>",
    "name": "<string>",
    "attributes": {},
    "description": "<string>",
    "keycloak_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "linked_scopes": [
      {
        "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "resource_type": "<string>"
      }
    ],
    "parent_id": "<string>",
    "path": "<string>",
    "permission_context": {
      "assigned_bundle_keys": [
        "<string>"
      ],
      "direct_capability_keys": [
        "<string>"
      ],
      "owner_assignments": [
        {
          "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "resolved_capability_keys": [
        "<string>"
      ],
      "status": "active",
      "subject_id": "",
      "subject_type": "unknown"
    },
    "subgroup_ids": [
      "<string>"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Parámetros de ruta

account_id
string<uuid>
requerido

Respuesta

account_id
string<uuid>
requerido
id
string
requerido
keycloak_name
string
requerido
name
string
requerido
attributes
atributos · object
description
string | null
keycloak_account_id
string<uuid> | null
linked_scopes
GroupScopeLinkResponse · object[]
parent_id
string | null
path
string | null
permission_context
PermissionInspectabilitySnapshot · object

Instantánea de inspeccionabilidad compartida para la gestión de usuarios, grupos e invitaciones.

subgroup_ids
string[]